//********************************************************
//
// Text Reporting Component 2.0 Example.
// Alex Shepetko (c) 1995-97.
//
// E-mail: alex_shepetko@hotmail.com
//
//********************************************************

unit Nsrex1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DBTables, DB, StdCtrls, Grids, DBGrids, Nsrep;

type
  TMainForm = class(TForm)
    NewSReport1: TNewSReport;
    NewSRSubDetail1: TNewSRSubDetail;
    VendorTbl: TTable;
    VendorSrc: TDataSource;
    PartQry: TQuery;
    PartSrc: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    Button1: TButton;
    Button2: TButton;
    PartQryPartNo: TFloatField;
    PartQryVendorNo: TFloatField;
    PartQryDescription: TStringField;
    PartQryOnHand: TFloatField;
    PartQryOnOrder: TFloatField;
    PartQryCost: TCurrencyField;
    PartQryListPrice: TCurrencyField;
    VendorTblVendorNo: TFloatField;
    VendorTblVendorName: TStringField;
    VendorTblAddress1: TStringField;
    VendorTblAddress2: TStringField;
    VendorTblCity: TStringField;
    VendorTblState: TStringField;
    VendorTblZip: TStringField;
    VendorTblCountry: TStringField;
    VendorTblPhone: TStringField;
    VendorTblFAX: TStringField;
    VendorTblPreferred: TBooleanField;
    procedure VendorSrcDataChange(Sender: TObject; Field: TField);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.VendorSrcDataChange(Sender: TObject; Field: TField);
begin
 PartQry.Active := False;

 if not (VendorTbl.BOF and VendorTbl.EOF) then
 begin
  PartQry.SQL [1] := 'where (VendorNo = ' + IntToStr (
                          VendorTblVendorNo.AsInteger) + ')';
  PartQry.Active := True;
 end;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
 Close;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
 NewSReport1.PrintRep;
end;

end.
